#include "../hardware.h"
static const char PROGMEM name_button[] = "button";
static const char PROGMEM name_uart1[] = "uart1";
static const char PROGMEM name_led_display[] = "led_display";
static const char PROGMEM name_marquee[] = "marquee";
static const char PROGMEM name_servo_left[] = "servo_left";
static const char PROGMEM name_bank_servo[] = "bank_servo";
static const char PROGMEM unknown[] = "?";

#define NUM_DEVICES 6
static const void* PROGMEM tbl[]={
	&_button_, name_button,
	&__C_uart1, name_uart1,
	&_led_display_, name_led_display,
	&_marquee_, name_marquee,
	&_servo_left_, name_servo_left,
	&_bank_servo_, name_bank_servo
	};

const char* getDeviceName(const void* device){
	const char* rtn = unknown;
	for(int i=0 ; i<NUM_DEVICES*2; i+=2){
		const void* addr = (const void*)pgm_read_word(&tbl[i]);
		if( addr == device){
			rtn = (const void*)pgm_read_word(&tbl[i+1]);
		}
	}
	return rtn;
}
